From 54075086a5b7acceef6dff41e19148778e285475 Mon Sep 17 00:00:00 2001
From: Bernd Waibel <waebbl@gmail.com>
Date: Fri, 20 Mar 2020 21:03:02 +0100
Subject: [PATCH] Fix issues with gcc10 -fno-common flag

Signed-off-by: Bernd Waibel <waebbl@gmail.com>
---
 include/denemo/denemo_types.h | 7 ++++---
 src/export/print.h            | 6 +++---
 2 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/include/denemo/denemo_types.h b/include/denemo/denemo_types.h
index 1d67827..936892b 100644
--- a/include/denemo/denemo_types.h
+++ b/include/denemo/denemo_types.h
@@ -430,7 +430,7 @@ typedef enum{
 } SCRIPT_TYPE;
 
 //index of columns in the keymap command list store FIXME if you add columns you must add them in allocate_keymap !!!!
-enum
+typedef enum
 {
   COL_TYPE = 0,
   COL_NAME,
@@ -1167,7 +1167,7 @@ struct cs_callback
  * The (singleton) root object for the program
  *
  */
-struct DenemoRoot
+typedef struct DenemoRoot
 {
   gboolean non_interactive; /* if TRUE denemo should not display project, receive or send sounds etc*/
   gchar *scheme_file;/* filename for scheme code to run on startup */
@@ -1258,6 +1258,7 @@ struct DenemoRoot
   gboolean *silent; /** Don't log any message */
   gboolean *verbose; /** Display every messages */
   guint pending_layout_id;//Non zero when the current layout being created will be renamed to have this id 
-}  Denemo; /**< The root object. */
+};
+extern struct DenemoRoot Denemo; /**< The root object. */
 
 #endif
diff --git a/src/export/print.h b/src/export/print.h
index db0c8f1..64a3a8d 100644
--- a/src/export/print.h
+++ b/src/export/print.h
@@ -108,9 +108,9 @@ typedef struct WysiwygInfo
   GtkWidget *dialog;            //an info dialog to tell the user what to do next...
 } WysiwygInfo;
 
-gint LilyPond_stderr;       //A file descriptor to pipe for LilyPond's stderr
-GError *lily_err;
-GPid previewerpid;
+extern gint LilyPond_stderr;       //A file descriptor to pipe for LilyPond's stderr
+extern GError *lily_err;
+extern GPid previewerpid;
 
 WysiwygInfo* get_wysiwyg_info();
 void initialize_print_status (void);
-- 
2.25.1

